Access Management

Revoke a grant

POST https://{tenant}.atomicwork.com/api/v1/iga/grants/{grant_id}/revoke

Revoke a grant. By default (skip_deprovisioning=true), marks the grant as REVOKED immediately without triggering IDP deprovisioning. Set skip_deprovisioning=false to trigger the full deprovisioning workflow (Azure AD/Okta group removal or service request creation).

Authorization

X-Api-Keyheaderstringrequired

API key authentication.

Headers

X-Workspace-Idheaderstring

Path Parameters

grant_idpathintegerrequired

The grant ID to revoke

Body

reasonbodystring

Optional reason for revoking the grant

skip_deprovisioningbodyboolean

When true (default), marks the grant as REVOKED immediately without triggering IDP deprovisioning. When false, triggers the full deprovisioning workflow (Azure AD/Okta group removal or service request creation).

Response

200

Successful response